Last Comment Bug 668950 - Disable WebSockets for Mobile Firefox 6
: Disable WebSockets for Mobile Firefox 6
Status: VERIFIED FIXED
[mobile-only]
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 6
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Josh Matthews [:jdm] (on vacation until Dec 5)
:
:
Mentors:
Depends on:
Blocks: 616348 537787
  Show dependency treegraph
 
Reported: 2011-07-01 22:17 PDT by Josh Matthews [:jdm] (on vacation until Dec 5)
Modified: 2013-12-27 14:27 PST (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Disable websockets on mobile. (1.03 KB, patch)
2011-07-18 15:56 PDT, Josh Matthews [:jdm] (on vacation until Dec 5)
mark.finkle: review+
mark.finkle: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Josh Matthews [:jdm] (on vacation until Dec 5) 2011-07-01 22:17:40 PDT
e10s websockets are almost certainly not going to be allowed to be backported to aurora (soon to be beta). Let's disable the feature completely rather than leave it sitting there like a wounded, broken animal.
Comment 1 Asa Dotzler [:asa] 2011-07-17 23:58:31 PDT
We're almost half way through the Beta cycle (remember, we have to front-load build and test so we release on migration day) so this should probably happen sometime soon-ish.
Comment 2 Josh Matthews [:jdm] (on vacation until Dec 5) 2011-07-18 08:06:31 PDT
On it today.
Comment 3 Josh Matthews [:jdm] (on vacation until Dec 5) 2011-07-18 15:56:16 PDT
Created attachment 546656 [details] [diff] [review]
Disable websockets on mobile.
Comment 4 Josh Matthews [:jdm] (on vacation until Dec 5) 2011-07-18 17:27:18 PDT
Comment on attachment 546656 [details] [diff] [review]
Disable websockets on mobile.

Let's not ship a feature that doesn't work.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-07-18 17:31:15 PDT
Comment on attachment 546656 [details] [diff] [review]
Disable websockets on mobile.

mobile-only. feature does not work. patch hides the broken feature from the web.
Comment 6 Josh Matthews [:jdm] (on vacation until Dec 5) 2011-07-18 17:37:18 PDT
http://hg.mozilla.org/releases/mozilla-beta/rev/e01769fcc74e
Comment 7 :Ehsan Akhgari 2011-08-16 10:24:49 PDT
It's not clear whether this should now be on beta or not...
Comment 8 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-08-16 10:29:00 PDT
This was a bug for Fennec 6, it can never be tracking-firefox7+.
Comment 9 Matt Brubeck (:mbrubeck) 2011-08-16 10:29:41 PDT
Bug 537787 was fixed for Firefox 7, so WebSockets should no longer be disabled in 7.0 beta.
Comment 10 Andreea Pod 2011-08-26 05:40:13 PDT
Marking this as verified fixed based on comment 9.

Note You need to log in before you can comment on or make changes to this bug.